import {select,arc} from 'd3';

const svg =select('svg')

const height=parseFloat(svg.attr('height'));
const width=+svg.attr('width');

const g=svg.append('g')
      .attr('transform',`translate(${width/2},${height/2})`);

console.log(typeof height);
console.log(typeof width);

const circle= g.append('circle')
  .attr('r',height/2)
 .attr('fill','yellow')
   .attr('stroke','black');

const eyespacing=100;
const eyeYoffset=-70;
const eyeRadius=40;
const eyebrowWidth=50;
const eyebrowHeigth=20;
const eyebrowYoffset=-70

const eyesG=g.append('g')
.attr('transform',`translate(0,${eyeYoffset})`);

const lefteye= eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx', -eyespacing)

const righteye= eyesG.append('circle')
  .attr('r',eyeRadius)
  .attr('cx',  eyespacing)
 
 const leftEyebrow=eyesG.append('rect')
  .attr('x',-eyespacing - eyebrowWidth/2) 
  .attr('y',eyebrowYoffset)
  .attr('width',eyebrowWidth)
  .attr('heigth',eyebrowHeigth)


const mouth=g.append('path')
  .attr('d',arc()({
    innerRadius: 150,
    outerRadius: 100,
    startAngle: Math.PI/2,
    endAngle: Math.PI * 3/2 
  }))
   .transition().duration(1000)
     .attr('y',+100); 